<div class="animated fadeIn">
  <div class="card" style="padding: 0.2rem">
    <div class="card-header bg-gray-200 text-primary d-flex justify-content-between">
      <div>
        <i class="fa fa-angle-double-up text-primary"></i> {{TITLE}}
      </div>
      <button class="btn btn-sm rounded btn-outline-danger" (click)="returnPage()">
        <i class="fa fa-reply"></i> Regresar
      </button>
    </div>
    <div class="card-body mt-4 p-0">

      <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
        <thead class="bg-primary">
        <tr>
          <th scope="col">Solicitado por</th>
          <th scope="col">Cargado por</th>
          <th scope="col">Fecha de Carga</th>
          <th scope="col">Cant. Registros</th>
          <th scope="col" class="text-center">Estado</th>
          <th scope="col">Observaciones</th>
          <th scope="col" class="text-center">Acciones</th>
        </tr>
        </thead>
        <tbody>
        <tr  *ngFor="let item of this.listaCargas">
          <td>{{ item.solitadoPor }}</td>
          <td>{{ item.cargadoPor }}</td>
          <td class="text-center">{{ item.fechaCarga }}</td>
          <td class="text-center">{{ item.total }}</td>
          <td class="text-center" *ngIf="item.estado === 'A'"><i class="fa fa-check-circle text-success fa-2x"></i></td>
          <td class="text-center" *ngIf="item.estado === 'N'"><i class="fa fa-close text-danger fa-2x"></i></td>
          <td>{{ item.motivo }}</td>
          <td class="text-center" *ngIf="item.estado === 'A'">
            <i class="fa fa-times text-danger fa-2x" aria-hidden="true" style="cursor: pointer" title="Eliminar" (click)="modalAnulation(anulationMSG, item.id)"></i>
          </td>
          <td class="text-center" *ngIf="item.estado === 'N'">
            <i class="fa fa-times text-dark fa-2x" aria-hidden="true" style="cursor: pointer" title="Eliminar"></i>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<ng-template #anulationMSG>
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">Justificación de Baja de Carga</h5>
    </div>

    <div class="modal-body">

      <div class="form-group">
        <label class="col-form-label">Justificación:</label>
        <div class="controls">
          <div class="input-prepend input-group">
            <div class="input-group-prepend">
              <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
            </div>
            <input [(ngModel)]="motivo" type="text" class="form-control">
          </div>
        </div>
      </div>
    </div>

    <div class="modal-footer">
      <button type="button" class="btn btn-sm btn-primary rounded" (click)="this.darBaja()">
        <i class="fa fa-arrow-down" aria-hidden="true"></i>
        Dar de baja
      </button>
      <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
        <i class="fa fa-close" aria-hidden="true"></i> Cancelar
      </button>
    </div>
  </div>
</ng-template>
